@media only screen and (max-width: 1200px) {
    .img-charizard {
        height     : 500px;
        width      : 600px;
        margin-left: 130px;
    }
}

@media only screen and (max-width: 1000px) {
    .img-charizard {
        height     : 400px;
        width      : 500px;
        margin-left: 120px;
    }
}

@media only screen and (max-width: 900px) {
    .img-charizard {
        margin-left: 75px;
    }
}

@media only screen and (max-width: 800px) {
    .img-charizard {
        height     : 300px;
        width      : 400px;
        margin-left: 100px;
    }
}

@media only screen and (max-width: 700px) {
    .img-charizard {
        height     : 300px;
        width      : 350px;
        margin-left: 15px;
    }

    h1 {
        font-size: 25px;
    }

    h2 {
        font-size: 20px;
    }
}

@media only screen and (max-width: 600px) {
    .img-charizard {
        height     : 300px;
        width      : 350px;
        margin-left: 10px;
    }

    #main-details {
        padding     : 30px 40px;
        margin-left : 10px;
        margin-right: 10px;
        text-align  : center;
    }

    h1 {
        font-size: 20px;
    }

    h2 {
        font-size: 15px;
    }

    .footer-images {
        align-self  : center;
        justify-self: center;
    }
}

@media only screen and (max-width: 550px) {
    .img-charizard {
        height: 250px;
        width : 300px;
    }

    #main-details {
        padding: 25px 30px;
    }

    footer {
        margin-right: 10px;
    }

    footer {
        display: grid;
        grid-template-areas:
            "footer-item1 footer-item1 footer-item1 footer-item1"
            "footer-item2 footer-item3 footer-item4 footer-item5";
        gap: 10px;
    }
}

@media only screen and (max-width: 320px) {
    header {
        text-align: center;
    }

    main {
        grid-template-areas:
            "main-image  "
            "main-details";
    }

    .img-charizard {
        height     : 150px;
        width      : 200px;
        margin-left: 50px;
    }

    main {
        grid-template-rows: 30px 350px;
        grid-template-areas:
            "main-column1"
            "main-details";
        row-gap: 120px;
    }

    #main-details {
        grid-template-areas:
            "main-details-item1"
            "main-details-item2"
            "main-details-item3"
            "main-details-item4"
            "main-details-item4"
            "main-details-item6";
    }

    .main-details-item {
        grid-template-areas:
            "main-details-item-subitem main-details-item-subitem";
    }

    #main-details {
        margin-left : 30px;
        margin-right: 30px;
    }

    .title-details {
        align-self  : center;
        justify-self: center;
    }

    .content-details {
        align-self  : center;
        justify-self: center;
    }

    #footer-item1 {
        text-align: center;
    }

    footer {
        grid-template-areas:
            "footer-item1  footer-item1"
            "footer-item2  footer-item3"
            "footer-item4  footer-item5";
    }
}